/*
* 需要使用这些函数需要包含libsynochip.so文件
* 使用gcc编译需要加上-Wl,-rpath, /usr/lib/biometric-authentication/drivers/extra/synochip-trustfinger
*/
struct Feature_List{
	int index[128];
	char index_name[128][64];
	int count;
};

/**
 * @brief 
 * 用于在数据库中查询指纹的id和名称
 * list:为一个Feature_List类型的结构体
 */
void show_finfo_list(struct Feature_List *list);

/**
 * @brief 
 * 用于进行指纹验证
 * fd:一个打开并且已经配置好了的串口
 * 返回值为指纹的id
 */
int synochip_verify_customiez(int fd);

/**
 * @brief 该版本暂未支持
 * 用于从终端进行指纹下载
 * fd:一个打开并且已经配置好了的串口
 * id:需要下载的指纹模版号
 * buf:模版大小，目前来看可以定死为2048
 */
void DownLoadChar(int fd, unsigned short id,char *buf);

/**
 * @brief 该版本暂未支持 
 * 用于上传指纹到bio设备中
 * fd:一个打开并且已经配置好了的串口
 * UsrName:命名指纹
 * buf:指纹模版大，目前定死为2048
 */
void UpLoadChar(int fd, char* UsrName,char* buf);